# Uses of Class
org.apache.lucene.search.similarities.Independence

Packages that use Independence
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of Independence in org.apache.lucene.search.similarities

  Subclasses of Independence in org.apache.lucene.search.similarities
  Modifier and Type
  Class
  Description
  `class`
  `IndependenceChiSquared`
  Normalized chi-squared measure of distance from independence
  `class`
  `IndependenceSaturated`
  Saturated measure of distance from independence
  `class`
  `IndependenceStandardized`
  Standardized measure of distance from independence
  Methods in org.apache.lucene.search.similarities that return Independence
  Modifier and Type
  Method
  Description
  `Independence`
  DFISimilarity.`getIndependence()`
  Returns the measure of independence
  Constructors in org.apache.lucene.search.similarities with parameters of type Independence
  Modifier
  Constructor
  Description
  ``
  `DFISimilarity(Independence independenceMeasure)`
  Create DFI with the specified divergence from independence measure and using default discountOverlaps value
  ``
  `DFISimilarity(Independence independenceMeasure, boolean discountOverlaps)`
  Create DFI with the specified parameters